package com.ruoyi;

import com.ruoyi.common.utils.SnowflakeUtil;
import com.ruoyi.domain.ReviewSceneChangeTask;
import com.ruoyi.service.ReviewSceneChangeTaskService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class ReviewSceneChangeTaskTest {

    @Autowired
    private ReviewSceneChangeTaskService reviewSceneChangeTaskService;

    /**
     * 创建一个新增场景的任务
     */
    @Test
    public void createTest_add() {

        ReviewSceneChangeTask reviewSceneChangeTask  = new ReviewSceneChangeTask()
                .setTaskNo(SnowflakeUtil.generate().toString())
                .setChapter("5.1")
                .setStandardId(1735216941104238592L)
                .setStandard("车辆制造商应具备车辆全生命周期的汽车信息安全管理体系。注：车辆全生命周期包括车辆的开发阶段、生产阶段及后生产阶段。")
                .setKeypointId(1735216941104238593L)
                .setKeypoint("车辆制造商是否建立汽车信息安全管理制度。")
                .setDetailsId(1735216941104238594L)
                .setDetails("车辆制造商是否能够提供/展示汽车信息安全管理制度正式发布的证明材料。")
                .setOperation(ReviewSceneChangeTask.OPERATION_ADD)
                .setOldText(null)
                .setNewText("测试新增一个场景")
                .setRemark("为了测试");

        reviewSceneChangeTaskService.create(reviewSceneChangeTask);
    }

    /**
     * 创建一个删除场景的任务
     */
    @Test
    public void createTest_delete() {

        ReviewSceneChangeTask reviewSceneChangeTask  = new ReviewSceneChangeTask()
                .setTaskNo(SnowflakeUtil.generate().toString())
                .setChapter("5.1")
                .setStandardId(1735216941104238592L)
                .setStandard("车辆制造商应具备车辆全生命周期的汽车信息安全管理体系。注：车辆全生命周期包括车辆的开发阶段、生产阶段及后生产阶段。")
                .setKeypointId(1735216941104238593L)
                .setKeypoint("车辆制造商是否建立汽车信息安全管理制度。")
                .setDetailsId(1735216941104238594L)
                .setDetails("车辆制造商是否能够提供/展示汽车信息安全管理制度正式发布的证明材料。")
                .setOperation(ReviewSceneChangeTask.OPERATION_DELETE)
                .setOldText("测试新增一个场景")
                .setNewText(null)
                .setReviewSceneId(1737385976545681410L)
                .setRemark("为了测试");

        reviewSceneChangeTaskService.create(reviewSceneChangeTask);
    }

    /**
     * 创建一个修改场景的任务
     */
    @Test
    public void createTest_update() {

        ReviewSceneChangeTask reviewSceneChangeTask  = new ReviewSceneChangeTask()
                .setTaskNo(SnowflakeUtil.generate().toString())
                .setChapter("5.1")
                .setStandardId(1735216941104238592L)
                .setStandard("车辆制造商应具备车辆全生命周期的汽车信息安全管理体系。注：车辆全生命周期包括车辆的开发阶段、生产阶段及后生产阶段。")
                .setKeypointId(1735216941104238593L)
                .setKeypoint("车辆制造商是否建立汽车信息安全管理制度。")
                .setDetailsId(1735216941104238594L)
                .setDetails("车辆制造商是否能够提供/展示汽车信息安全管理制度正式发布的证明材料。")
                .setOperation(ReviewSceneChangeTask.OPERATION_UPDATE)
                .setOldText("测试新增一个场景")
                .setNewText("修改一个场景")
                .setReviewSceneId(1737393098847203330L)
                .setRemark("为了测试");

        reviewSceneChangeTaskService.create(reviewSceneChangeTask);
    }

    @Test
    public void passTest() {
        reviewSceneChangeTaskService.pass(1737393813195902977L, "同意");
    }

    @Test
    public void rejectTest() {
        reviewSceneChangeTaskService.reject(1737390991951810562L, "不同意");
    }

}
