package com.ruoyi;

import com.ruoyi.domain.ReviewSceneChangeTask;
import com.ruoyi.service.ReviewSceneService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.Date;

@SpringBootTest
public class ReviewSceneTest {

    @Autowired
    private ReviewSceneService reviewSceneService;

    @Test
    public void changeAddTest() {

        ReviewSceneChangeTask reviewSceneChangeTask = new ReviewSceneChangeTask()
                .setTaskNo("10000000")
                .setChapter("5.1")
                .setStandardId(1735216941104238592L)
                .setStandard("车辆制造商应具备车辆全生命周期的汽车信息安全管理体系。注：车辆全生命周期包括车辆的开发阶段、生产阶段及后生产阶段。")
                .setKeypointId(1735216941104238593L)
                .setKeypoint("车辆制造商是否建立汽车信息安全管理制度。")
                .setDetailsId(1735216941104238594L)
                .setDetails("车辆制造商是否能够提供/展示汽车信息安全管理制度正式发布的证明材料。")
                .setOperation(ReviewSceneChangeTask.OPERATION_ADD)
                .setOldText(null)
                .setNewText("测试新增场景")
                .setTaskInitiator("超级管理员")
                .setTaskInitiatorDept("天津检测机构")
                .setTaskStatus(ReviewSceneChangeTask.STATUS_FINISH)
                .setTaskResult(ReviewSceneChangeTask.RESULT_PASS)
                .setTaskBeginTime(new Date())
                .setTaskEndTime(new Date())
                .setRemark("为了测试");


        reviewSceneService.change(reviewSceneChangeTask);
    }

    @Test
    public void changeUpdateTest() {

        ReviewSceneChangeTask reviewSceneChangeTask = new ReviewSceneChangeTask()
                .setTaskNo("10000001")
                .setChapter("5.1")
                .setStandardId(1735216941104238592L)
                .setStandard("车辆制造商应具备车辆全生命周期的汽车信息安全管理体系。注：车辆全生命周期包括车辆的开发阶段、生产阶段及后生产阶段。")
                .setKeypointId(1735216941104238593L)
                .setKeypoint("车辆制造商是否建立汽车信息安全管理制度。")
                .setDetailsId(1735216941104238594L)
                .setDetails("车辆制造商是否能够提供/展示汽车信息安全管理制度正式发布的证明材料。")
                .setOperation(ReviewSceneChangeTask.OPERATION_UPDATE)
                .setReviewSceneId(1737311815420813313L)
                .setOldText("测试新增场景")
                .setNewText("测试新增场景修改")
                .setTaskInitiator("超级管理员")
                .setTaskInitiatorDept("天津检测机构")
                .setTaskStatus(ReviewSceneChangeTask.STATUS_FINISH)
                .setTaskResult(ReviewSceneChangeTask.RESULT_PASS)
                .setTaskBeginTime(new Date())
                .setTaskEndTime(new Date())
                .setRemark("为了测试");



        reviewSceneService.change(reviewSceneChangeTask);
    }

    @Test
    public void changeDeleteTest() {

        ReviewSceneChangeTask reviewSceneChangeTask = new ReviewSceneChangeTask()
                .setTaskNo("10000003")
                .setChapter("5.1")
                .setStandardId(1735216941104238592L)
                .setStandard("车辆制造商应具备车辆全生命周期的汽车信息安全管理体系。注：车辆全生命周期包括车辆的开发阶段、生产阶段及后生产阶段。")
                .setKeypointId(1735216941104238593L)
                .setKeypoint("车辆制造商是否建立汽车信息安全管理制度。")
                .setDetailsId(1735216941104238594L)
                .setDetails("车辆制造商是否能够提供/展示汽车信息安全管理制度正式发布的证明材料。")
                .setOperation(ReviewSceneChangeTask.OPERATION_DELETE)
                .setReviewSceneId(1737311815420813313L)
                .setOldText("测试新增场景修改")
                .setNewText(null)
                .setTaskInitiator("超级管理员")
                .setTaskInitiatorDept("天津检测机构")
                .setTaskStatus(ReviewSceneChangeTask.STATUS_FINISH)
                .setTaskResult(ReviewSceneChangeTask.RESULT_PASS)
                .setTaskBeginTime(new Date())
                .setTaskEndTime(new Date())
                .setRemark("为了测试");


        reviewSceneService.change(reviewSceneChangeTask);
    }


}
